#!/bin/sh
export export PATH=$PATH:/usr/local/arm/arm-2007q1/bin/;export ARCH=arm; export CROSS_COMPILE=arm-none-linux-gnueabi-
export LANG=en_US.utf8



# 基本配置信息
echo "start dept=poct instru=i15VET fpgatype=NO resolution=800x480 lcdtype=TFT16BPP flashpartition=3 end=   " > config

# 校验信息
echo checkstart >> config
var=$(md5sum u-boot.bin)
if [ "$var" != "" ] ; then
	echo uboot="<$var"\> >> config
fi

var=$(md5sum bootstrap.bin)
if [ "$var" != "" ] ; then
	echo bootstrap="<$var"\> >> config
fi

var=$(md5sum linuxlogo.bmp)
if [ "$var" != "" ] ; then
	echo linuxlogo="<$var"\> >> config
fi

#var=$(md5sum ubootlogo.bmp)
#if [ "$var" != "" ] ; then
#	echo ubootlogo="<$var"\> >> config
#fi

var=$(md5sum initrd)
if [ "$var" != "" ] ; then
	echo initrd="<$var"\> >> config
fi

var=$(md5sum uImage)
if [ "$var" != "" ] ; then
	echo uImage="<$var"\> >> config
fi

var=$(md5sum app.romfs)
if [ "$var" != "" ] ; then
	echo app="<$var"\> >> config
fi

var=$(md5sum video.romfs)
if [ "$var" != "" ] ; then
	echo video="<$var"\> >> config
fi

var=$(md5sum i15_Analog.bin)
if [ "$var" != "" ] ; then
	echo Analog="<$var"\> >> config
fi

#var=$(md5sum config)
#if [ "$var" != "" ] ; then
#	echo config="<$var"\> >> config
#fi

echo "checkend   " >> config

# 校验config文件
md5sum config > config.md5sum

# 单独校验ubootlogo.bmp文件
md5sum ubootlogo.bmp > ubootlogo.bmp.md5sum
echo "pic=waa" >> ubootlogo.bmp.md5sum	# 00
#echo "pic=wab" >> ubootlogo.bmp.md5sum	# 01
#echo "pic=wac" >> ubootlogo.bmp.md5sum	# 02
#echo "pic=wad" >> ubootlogo.bmp.md5sum	# 03
#echo "pic=wae" >> ubootlogo.bmp.md5sum	# 04
#echo "pic=waf" >> ubootlogo.bmp.md5sum	# 05
#echo "pic=wag" >> ubootlogo.bmp.md5sum	# 06
#echo "pic=wah" >> ubootlogo.bmp.md5sum	# 07
#echo "pic=wai" >> ubootlogo.bmp.md5sum	# 08
#echo "pic=waj" >> ubootlogo.bmp.md5sum	# 09
#echo "pic=wba" >> ubootlogo.bmp.md5sum	# 10
#echo "pic=wbb" >> ubootlogo.bmp.md5sum	# 11
#echo "pic=wbc" >> ubootlogo.bmp.md5sum	# 12
#echo "pic=wbd" >> ubootlogo.bmp.md5sum	# 13
#echo "pic=wbe" >> ubootlogo.bmp.md5sum	# 14

